Module: ncbi.datasets.openapi.models.v1alpha1_assembly_metadata_request
Python API: ncbi.datasets.openapi.models.v1alpha1_assembly_metadata_request
Module: ncbi.datasets.openapi.models.v1alpha1_assembly_metadata_request
- class
ncbi.datasets.openapi.models.v1alpha1_assembly_metadata_request.V1alpha1AssemblyMetadataRequest(accessions=None, bioprojects=None, filters=None, limit=None, page_size=None, page_token=None, returned_content=None, tax_exact_match=None, taxon=None, local_vars_configuration=None)¶ Bases:
objectopenapi_types¶The key is attribute name and the value is attribute type.
- Type
dict
attribute_map¶The key is attribute name and the value is json key in definition.
- Type
dict
- property
accessions¶ Gets the accessions of this V1alpha1AssemblyMetadataRequest.
- Returns
The accessions of this V1alpha1AssemblyMetadataRequest.
- Return type
attribute_map= {'accessions': 'accessions', 'bioprojects': 'bioprojects', 'filters': 'filters', 'limit': 'limit', 'page_size': 'page_size', 'page_token': 'page_token', 'returned_content': 'returned_content', 'tax_exact_match': 'tax_exact_match', 'taxon': 'taxon'}¶
- property
bioprojects¶ Gets the bioprojects of this V1alpha1AssemblyMetadataRequest.
- Returns
The bioprojects of this V1alpha1AssemblyMetadataRequest.
- Return type
- property
filters¶ Gets the filters of this V1alpha1AssemblyMetadataRequest.
- Returns
The filters of this V1alpha1AssemblyMetadataRequest.
- Return type
- property
limit¶ Gets the limit of this V1alpha1AssemblyMetadataRequest.
- Returns
The limit of this V1alpha1AssemblyMetadataRequest.
- Return type
str
openapi_types= {'accessions': 'Datasetsv1alpha1Accessions', 'bioprojects': 'AssemblyMetadataRequestBioprojects', 'filters': 'V1alpha1AssemblyDatasetDescriptorsFilter', 'limit': 'str', 'page_size': 'int', 'page_token': 'str', 'returned_content': 'V1alpha1AssemblyMetadataRequestContentType', 'tax_exact_match': 'bool', 'taxon': 'str'}¶
- property
page_size¶ Gets the page_size of this V1alpha1AssemblyMetadataRequest.
The maximum number of genome assemblies to return. Default is 20 and maximum is 1000. If the number of results exceeds the page size, page_token can be used to retrieve the remaining results.
- Returns
The page_size of this V1alpha1AssemblyMetadataRequest.
- Return type
int
- property
page_token¶ Gets the page_token of this V1alpha1AssemblyMetadataRequest.
A page token is returned from an AssemblyMetadataRequest call with more than page_size results. Use this token, along with the previous AssemblyMetadataRequest parameters, to retrieve the next page of results. When page_token is empty, all results have been retrieved.
- Returns
The page_token of this V1alpha1AssemblyMetadataRequest.
- Return type
str
- property
returned_content¶ Gets the returned_content of this V1alpha1AssemblyMetadataRequest.
- Returns
The returned_content of this V1alpha1AssemblyMetadataRequest.
- Return type
- property
tax_exact_match¶ Gets the tax_exact_match of this V1alpha1AssemblyMetadataRequest.
If true, only return assemblies with the given NCBI Taxonomy ID, or name. Otherwise, assemblies from taxonomy subtree are included, too. Ignored for assembly_accession request.
- Returns
The tax_exact_match of this V1alpha1AssemblyMetadataRequest.
- Return type
bool
- property
taxon¶ Gets the taxon of this V1alpha1AssemblyMetadataRequest.
- Returns
The taxon of this V1alpha1AssemblyMetadataRequest.
- Return type
str
to_dict()¶Returns the model properties as a dict
to_str()¶Returns the string representation of the model